# Class GcBiasDetailMetrics

java.lang.Object
htsjdk.samtools.metrics.MetricBase
picard.metrics.MultilevelMetrics
picard.analysis.GcBiasDetailMetrics

@DocumentedFeature(groupName="Metrics", summary="Metrics") public class GcBiasDetailMetrics extends MultilevelMetrics
Class that holds detailed metrics about reads that fall within windows of a certain GC bin on the reference genome.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`ACCUMULATION_LEVEL`
`double`
`ERROR_BAR_WIDTH`
The radius of error bars in this bin based on the number of observations made.
`int`
`GC`
The G+C content of the reference sequence represented by this bin.
`int`
`MEAN_BASE_QUALITY`
The mean quality (determined via the error rate) of all bases of all reads that are assigned to windows of this GC.
`double`
`NORMALIZED_COVERAGE`
The ratio of "coverage" in this GC bin vs.
`long`
`READ_STARTS`
The number of reads whose start position is at the start of a window of this GC.
`String`
`READS_USED`
This option is used to mark including or excluding duplicates.
`int`
`WINDOWS`
The number of windows on the reference genome that have this G+C content.

### Fields inherited from class MultilevelMetrics

`LIBRARY, READ_GROUP, SAMPLE`

## Constructor Summary

Constructors
Constructor
Description
`GcBiasDetailMetrics()`

## Method Summary

### Methods inherited from class htsjdk.samtools.metrics.MetricBase

`equals, hashCode, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### ACCUMULATION_LEVEL

public String ACCUMULATION_LEVEL

### READS_USED

public String READS_USED
This option is used to mark including or excluding duplicates.

### GC

public int GC
The G+C content of the reference sequence represented by this bin. Values are from 0% to 100%

### WINDOWS

public int WINDOWS
The number of windows on the reference genome that have this G+C content.

### READ_STARTS

public long READ_STARTS
The number of reads whose start position is at the start of a window of this GC.

### MEAN_BASE_QUALITY

public int MEAN_BASE_QUALITY
The mean quality (determined via the error rate) of all bases of all reads that are assigned to windows of this GC.

### NORMALIZED_COVERAGE

public double NORMALIZED_COVERAGE
The ratio of "coverage" in this GC bin vs. the mean coverage of all GC bins. A number of 1 represents mean coverage, a number less than one represents lower than mean coverage (e.g. 0.5 means half as much coverage as average) while a number greater than one represents higher than mean coverage (e.g. 3.1 means this GC bin has 3.1 times more reads per window than average).

### ERROR_BAR_WIDTH

public double ERROR_BAR_WIDTH
The radius of error bars in this bin based on the number of observations made. For example if the normalized coverage is 0.75 and the error bar width is 0.1 then the error bars would be drawn from 0.65 to 0.85.

## Constructor Details

### GcBiasDetailMetrics

public GcBiasDetailMetrics()